clc;mode(1);lines(0);
// BBWork41 -- Illustrate CP/WP Analysis Techniques on Seismic
mode(-1);
scf(1);clf(1);
	n = 1024;
	t = (0:(n-1))./n;
	qmf = MakeONFilter('Coiflet',3);
	D   = 6;
//
//	Signals
//
	seism = ReadSignal('Seismic')';

	subplot(2,1,1);
	plot(t,seism);
	title('Seismic');
	subplot(2,1,2);
	plot(t*2*%pi,abs(mtlb_fft(seism)));
	title('|FT(Seismic)|');
	drawnow();
	//ifprint(gcf,'bbfig411.ps')	
//
scf(2);clf(2);
	WPTour('P',seism,10,qmf,'Seismic');
//
	subplot(2,2,3);
	a=gca();a.data_bounds=([0 500 -10 10]);
	drawnow();
	//ifprint(gcf,'bbfig412.ps')
//
scf(3);clf();
	CPTour('P',seism,6,'Seismic');
	subplot(2,2,3);
	a=gca();a.data_bounds=([0 500 -10 10]);
	drawnow();
//	ifprint(gcf,'bbfig413.ps')
	
halt("press a key to proceed!");
clc;mode(1);lines(0);
// BBWork42 -- Illustrate CP/WP Analysis Techniques on Warble
mode(-1);
	n = 8192;
	t = (0:(n-1))./n;
	qmf = MakeONFilter('Coiflet',3);
	D   = 8;
//
//	Signals
//
	// load cwarb.mat
    warb = ReadSignal('Tweet');
//	warb = cwarb(4000:12191);  // MRD 03/99
	
scf(1);clf();
	subplot(2,1,1);
	plot(t,warb);
	title('Tweet');
	subplot(2,1,2);
	plot(t.*(2*%pi),abs(mtlb_fft(warb)));
	title('|FT(Tweet)|');
	//drawnow;
	//ifprint(gcf,'bbfig421.ps')	
//
	scf(2);clf();
	WPTour('P',warb,10,qmf,'Tweet');
//
	subplot(2,2,3);
	a=gca();a.data_bounds=([0 1000 10 30]);
	//drawnow;
	//ifprint(gcf,'bbfig422.ps')
//
	scf(3);clf();
	CPTour('P',warb,6,'Tweet');
	subplot(2,2,3);
	a=gca();a.data_bounds=([0 1000 10 30]);
	//drawnow;
	//ifprint(gcf,'bbfig423.ps')
	

halt("press a key to proceed!");
clc;mode(1);lines(0);
    // BBWork43 -- WP and CP Tours on Transients Signal
//
mode(-1);
        tr = ReadSignal('Transients');
	n = 512;
	t = (0:(n-1))./n;
scf(1);clf();
	subplot(2,1,1);
	plot(t,tr);
	title('Tweet');
	subplot(2,1,2);
	plot(t.*(2*%pi),abs(mtlb_fft(tr)));
	title('|FT(Transients)|');

	scf(2);clf();

	WPTour('P', tr,9,MakeONFilter('Coiflet',3),'Transient');
	subplot(2,2,3); a=gca();a.data_bounds=([0 500 -5 5]);
	//subplot(2,2,4); brighten(-.5)
	//ifprint(gcf,'bbwork431.ps');
//
	scf(3);clf();
	CPTour('P', tr,6,'Transient');
	subplot(2,2,3); a=gca();a.data_bounds=([0 500 -5 5]);
	//subplot(2,2,4); brighten(-.5)
	//ifprint(gcf,'bbwork432.ps');
    
    
 
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
