function wc = FHT_Med(x)
//  Forward Med Transform
//  Calling Sequence
//    wc = FHT_Med(x)
//
//  Authors
// Copyright (c) 1993 David Donoho
//   H. Nahrstaedt - 2011


[n,J] = triadLength(x);
wc = zeros(1,2*n);
Smooth = x;
for j=J:-1:1,
    [Smooth,rough] = MedTriadDown(Smooth);
    wc(triad(j)) = rough;
end
wc(1) = Smooth(1);
    
endfunction    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:42 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
