function B = GWN2(n,Beta)
//  Generation of 2-D Gaussian White NNoise
//  Calling Sequence
//    B=GWN2(n,Beta)
//   Parameters
//  Inputs   :
//    n:	size of datas
//    Beta:	standard deviation
//  Outputs:
//    B:	resulting noise
// Authors
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
// H. Nahrstaedt - 2011
B=randn(n,n);
B=B*Beta;


    
endfunction 
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
