function x = HardThresh(y,t)
//  Apply Hard Threshold 
//  Calling Sequence
//    x = HardThresh(y,t)
//  Parameters
//  Inputs :
//    y    : Noisy Data 
//    t    : Threshold
//  Outputs :
//    x     :y 1_{|y|>t}
// Authors
// Copyright (c) 1993-5.  Jonathan Buckheit, David Donoho and Iain Johnstone
// H. Nahrstaedt - 2011


	x   = y .* bool2s(abs(y) > t);


//
endfunction
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
