function HitAnyKey(arg)
//  Tool for pausing in scripts
//  Calling Sequence
//    HitAnyKey([arg])
//  Parameters
//  Inputs:
//    arg  :  optional value to store into global HitKeyMemory
//
//  Description
//    Hit any key to continue
//
// Authors
// Copyright (c) 1993-5, Jonathan Buckheit and David Donoho
//H. Nahrstaedt - 2011

global HitKeyMemory
[lhs,rhs]=argn();
if rhs == 1,
   HitKeyMemory = arg;
end
drawnow();//xbasr() ;           
if ~string(HitKeyMemory)=='SkipPauses',
	if ~string(HitKeyMemory)=='AutoPrint',
	  disp('Awaiting Input; Hit P to print before continuing')
	  disp('                Hit X to suppress further pauses')
	  disp('                Hit any other key to continue   ')
	  chare = input("input P,X, or other?","s");
	  if (chare ~= [])
	  	if (part(chare,1))=='P',
		warning('The print function is not provided until now!');//xsave(cptour1)//print                
	  	elseif (part(chare,1))=='X',
			HitKeyMemory = 'SkipPauses';
	  	end
	  end
	else
	  warning('The print function is not provided until now!')// xsave(cptour1)
	end

end
endfunction

    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
