function Beta = IWT_SegAI(w,L,D,F,EF,t)
// Inverse Segmented Transform
//  Calling Sequence
//    Beta = IWT_SegAI(w,L,D,F,EF,t)
//  Authors
// Copyright (c) 1993 David Donoho
//   H. Nahrstaedt - 2011


[n,J] = dyadlength(w);
Beta = w(1:(2^L));
for j=L:(J-1) ,
   Beta = SAIDyadDown(Beta,w(dyad(j)),D,F,EF,t,j);
end
    
endfunction    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:42 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
