function x = MedTriadUp(Smooth,rough)
// Med Triad Up
//  Calling Sequence
//    MedTriadUp(Smooth,rough)
//
//  Authors
// Copyright (c) 1993 David Donoho
//   H. Nahrstaedt - 2011


n = max(size(rough));
cx = matrix(rough,3,n/3);
x = cx + [ Smooth ; Smooth; Smooth ];
x = matrix(x,1,n);
    
    
endfunction 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:42 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
