function PIC256(x,header);
//  PIC256(x,header) shows image 'x' of 256 graylevels.  'header' is an optional title.
//  Calling Sequence
//  PIC256(x,header)
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

 [nargout,nargin]=argn();
clf()
mtlb_image(x+1)
f=gcf();f.color_map=(graycolormap(256));
// axis('square')
// axis('off')

if nargin == 2
  title(header)
end
    
endfunction
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
