function PlotCompressNumbers(coef,signaltitle)
// Plot Compression Numbers
//  Calling Sequence
//    PlotCompressNumbers(coef,signaltitle)
//  Parameters
//  Inputs :
//    coef :         array of coefficients
//    signaltitle :   title for plot  
//
//
//  Description
//    Compression numbers show the additional accuracy obtained by
//    reconstructing with more coefficients.
//  Side Effects
//    A plot showing the compression curve for the given coeffs.
//    
//  Authors
//
// Copyright (c) 1993. David L. Donoho
//H. Nahrstaedt - 2011


    
// 	energy = mtlb_sum(coef.^2);
// 	cm     = [energy (energy - cumsum(reverse(mtlb_sort(coef.^2))))];
// 	plot(0:length(coef),log(cm)); xlabel('m'); ylabel('log(c_m)');
// 	title('Compression Numbers: '+signaltitle)


	energy = sum(coef.^2);
	cm     = [energy (energy - cumsum(reverse(mtlb_sort(coef.^2))))];
// 	n=size(cm,1);
// 	m=size(cm,2);
// 	nn=max(m,n);
// 	ccm=cm;
// 	for i=1:nn	  
// 	  if cm(i)==0
// 	     ccm(i)=1
// 	  end
// 	end
ieeemod=ieee();
ieee(2);
	plot(0:max(size(coef)),log(cm)); xlabel('m'); ylabel('log(c_m)');
ieee(ieeemod);
	title('Compression Numbers: '+signaltitle);
endfunction

    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
