function PlotOrderedCoef(wc)
//  Plot Ordered Coefficients
//  Calling Sequence
//    PlotOrderedCoef(wc)
//   Parameters
//  Inputs:
//    wc  :   wavelet coeffs
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

	[n,J] = dyadlength(wc);
	ordcoef = reverse(mtlb_sort(abs(wc)));
//
	plot2d(1:n,ordcoef,logflag="nl");	
    
    
endfunction
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
