function  mat = RAW2MAT(filename,lines,columns)
//   mat = RAW2MAT(filename,lines,columns) loads a '.raw' file into
//          matrix 'mat' of size 'lines' x 'columns'.
//    Calling Sequence
//    mat = RAW2MAT(filename,lines,columns)
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

  fid = mtlb_fopen(filename,'r');
  mat = mtlb_fread(fid,[columns,lines])';
  status = mtlb_fclose(fid);
//  if status == 0
//    disp('successful')
//  else
//    disp('unsuccessful')
//  end
    
endfunction
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
