function ridges = Ridge_WindowFT(specgm)
// Find Ridges of Window Fourier Transform
//  Calling Sequence
//    ridges = Ridge_WindowFT(specgm);
//  Parameters
//  Inputs:
//    specgm:   	output of window Fourier transform, from WindowFT
//  Outputs:
//    ridges:	ridges table of window Fourier transform; A binary table having same size as specgm
//  See also
//    WindowFT	
//  Bibliography
//    Mallat, "A Wavelet Tour of Signal Processing"
// Authors
// Copyright (c) 1996. Xiaoming Huo
// H. Nahrstaedt - 2011
 
 ridges = Ridge_AWT(specgm,3);
 endfunction



    
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
