function afine = SAIDyadDown(Beta,alfa,D,F,EF,t,j)
//  SAI Dyad Down
//  Calling Sequence
//    afine = SAIDyadDown(Beta,alfa,D,F,EF,t,j)
//  Authors
// Copyright (c) 1993 David Donoho
//   H. Nahrstaedt - 2011

n = max(size(Beta));
ahat = SegRefine(Beta,D,F,EF,t,j);
adif =  [(-alfa) ; alfa ];
adif = adif(:)';
afine = ahat + adif;
afine = afine ./sqrt(2);

endfunction
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:42 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
