function row = ShapeAsRow(sig)
// Make signal a row vector
//  Calling Sequence
//    row = ShapeAsRow(sig)
//  Parameters
//  Inputs:
//    sig  :   a row or column vector
//  Outputs:
//    row  :   a row vector
//
//  See also
//    ShapeLike
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

row = sig(:)';    
endfunction

 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
