function [n,J] = triadLength(x)
//  Return length of triad
//  Calling Sequence
//    [n,J] = triadLength(x)
//
//  Authors
// Copyright (c) 1993 David Donoho
//   H. Nahrstaedt - 2011


n = max(size(x));
m=1; J=0; while (m < n), m=3*m; J=J+1; end;
if m ~= n,
   warning('Warning n ~= 3^J\n')
end
    
    
endfunction
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:42 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
