clc;mode(1);lines(0);
// BBWork31 -- Cosine Packet Tour on Four Basic Signals
//
//     	HeaviSine
// 		Doppler
//		QuadChirp
//		MishMash
//
mode(-1);
scf(1);clf(1);
	n=1024;
//
	hs = MakeSignal('HeaviSine',n);
	scf();
	CPTour('P',hs,6,'HeaviSine');

	subplot(2,2,3)
	a=gca();a.data_bounds=([0 500 -10 10]);
	//ifprint(gcf,'bbfig311.ps')
//
scf(2);clf(2);
	dp = MakeSignal('Doppler',n);
	CPTour('P',dp,6,'Doppler');

	subplot(2,2,3)
	a=gca();a.data_bounds=([0 500 -10 10]);
	//ifprint(gcf,'bbfig312.ps')
//
scf(3);clf(3);
	qc = MakeSignal('QuadChirp',n);
	CPTour('P',qc,6,'QuadChirp');

	subplot(2,2,3)
	a=gca();a.data_bounds=([0 500 -10 10]);
	subplot(2,2,4)
	//brighten(-.8);
	//ifprint(gcf,'bbfig313.ps')
//
scf(4);clf(4);
	mm = MakeSignal('MishMash',n);
	CPTour('P',mm,6,'MishMash');

	subplot(2,2,3)
	a=gca();a.data_bounds=([0 500 -10 10]);
	subplot(2,2,4)
	//brighten(-.8);
	//ifprint(gcf,'bbfig314.ps')

halt("press a key to proceed!");
clc;mode(1);lines(0);
    // BBWork32 -- Cosine Packet Tour on Four Complex Signals
//
//     	Linear Chirp
// 		TwoChirp
//		Ramp
//		Sorrows
//
mode(-1);scf(1);clf(1);

	n  = 1024;
	t  = (1:n) ./n;
	xi = %pi/2 .* t;
	lc = cos(xi .* (1:n));
//

	CPTour('P',lc,6,'LinChirp');
	subplot(2,2,3)
	a=gca();a.data_bounds=([0 300 -10 10]);
	//ifprint(gcf,'bbfig321.ps')
//
	scf(2);clf(2);
	tc = MakeSignal('TwoChirp',n);
	CPTour('P',tc,6,'TwoChirp');
	subplot(2,2,3)
	a=gca();a.data_bounds=([0 500 -10 10]);
	//ifprint(gcf,'bbfig322.ps')
//
	scf(3);clf(3);
	rm = MakeSignal('Ramp',n);
	CPTour('P',rm,6,'Ramp');

	subplot(2,2,3)
	a=gca();a.data_bounds=([0 500 -10 10]);
	subplot(2,2,4)
	//brighten(-.5); brighten(-.5);
	//ifprint(gcf,'bbfig323.ps')
//
	scf(4);clf(4);
	sw = MakeSignal('WernerSorrows',n);
	CPTour('P',sw,6,'Sorrows');

	subplot(2,2,3)
	a=gca();a.data_bounds=([0 500 -10 10]);
	subplot(2,2,4)
	//brighten(-.5); brighten(-.5);
	//ifprint(gcf,'bbfig324.ps')

    
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
