clc;mode(1);lines(0);
// toon1001 -- Wavelet Packet Analysis on LoSine
//
mode(-1);  
scf(1);clf(1);
	n = 1024;
	D = 5;
	qmf = MakeONFilter('Coiflet', 3);
//
	signal = MakeSignal('LoSine', n);
	WPTour('P', signal, D, qmf, 'LoSine');
    halt("press a key to proceed!");
clc;mode(1);  
    
 // toon1002 -- Wavelet Packet Analysis on Ramp
//
mode(-1);  
scf(1);clf(1);
	n = 1024;
	D = 5;
	qmf = MakeONFilter('Coiflet', 3);
//
	signal = MakeSignal('Ramp', n);
	WPTour('P', signal, D, qmf, 'Ramp');
   halt("press a key to proceed!");
clc;mode(1);  
     
// toon1003 -- Wavelet Packet Analysis on Doppler
//
mode(-1);  
scf(1);clf(1);
	n = 1024;
	D = 5;
	qmf = MakeONFilter('Coiflet', 3);
//
	signal = MakeSignal('Doppler', n);
	WPTour('P', signal, D, qmf, 'Doppler');
   halt("press a key to proceed!");
clc;mode(1);  
    
// toon1004 -- Wavelet Packet Analysis on Dirac
//
mode(-1);  
scf(1);clf(1);
	n = 1024;
	D = 5;
	qmf = MakeONFilter('Coiflet', 3);
//
	signal = zeros(1,n);
	signal(n/2) = 1;
	WPTour('P', signal, D, qmf, 'Dirac');
    halt("press a key to proceed!");
clc;mode(1);  
    
// toon1005 -- Wavelet Packet Analysis on HiSine
//
mode(-1);  
scf(1);clf(1);
	n = 1024;
	D = 5;
	qmf = MakeONFilter('Coiflet', 3);
//
	signal = MakeSignal('HiSine', n);
	WPTour('P', signal, D, qmf, 'HiSine');
   halt("press a key to proceed!");
clc;mode(1);  
     
 // toon1006 -- Wavelet Packet Analysis on LinChirp
//
mode(-1);  
scf(1);clf(1);
	n = 1024;
	D = 5;
	qmf = MakeONFilter('Coiflet', 3);
//
	signal = MakeSignal('LinChirp', n);
	WPTour('P', signal, D, qmf, 'LinChirp');
    
   halt("press a key to proceed!");
clc;mode(1);  
     
 // toon1007 -- Wavelet Packet Analysis on QuadChirp
//
mode(-1);  
scf(1);clf(1);
	n = 1024;
	D = 5;
	qmf = MakeONFilter('Coiflet', 3);
//
	signal = MakeSignal('QuadChirp', n);
	WPTour('P', signal, D, qmf, 'QuadChirp');
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
