function GrayImage(img,ngray)
//  Standard gray-scale image display
//  Calling Sequence
//    GrayImage(img,ngray)
//   Parameters
//  Inputs:
//    img :     a 2-d image, n by n
//    ngray:    optional. number of gray levels in colormap, default 255
//
//  Description
//    A gray scale presentation of img
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011
  [nargout,nargin]=argn();
        if nargin < 2,
          ngray =255;
        end
//
//       clg;
        mtlb_image(img);
        //axis('image');
        f=gcf();f.color_map=(graycolormap(ngray));
    endfunction
    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
