function Sparse = KeepFirst(dense,N)
// Kill (set to zero) all but N first elements
//  Calling Sequence
//    Sparse = KeepFirst(dense,N)
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

	Sparse    = dense .* ShapeLike(bool2s((1:max(size(dense))) <= N),dense);
    
    
endfunction 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
