function PlotEquivDimension(cnumbers,ctype,signaltitle)
// Plot Equivalent Dimensions
//  Calling Sequence
//    PlotEquivDimension(cnumbers,type,signaltitle)
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

	if (ctype=='WP'),
		pch = 'b--';
	elseif (ctype=='CP'),
		pch = 'y-';
	end
//
	n = max(size(cnumbers));
        ieeemod=ieee();ieee(2);
	plot(1 ./ ( 1 - cnumbers(2:n)./cnumbers(1:(n-1))),pch);
        ieee(ieeemod);

	xstring(.70*n,20,'MPCP - '); //set(h,'Color','Blue');
	xstring(.70*n,10,'MPWP --'); //set(h,'Color','Yellow');
	xlabel('m')
	ylabel('(1 -  c_{m+1} / c_m  )^{-1}')
	title(['Equivalent Dimension: '+ signaltitle])
	a=gca();a.data_bounds=([0 n 0 100])
	//hold on;
    
    
endfunction
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
