function PlotSemiCompressNum(cnums,ctype,Title)
// PlotSemiCompressNum -- Plot Compression Numbers on Semilog Scale
//  Calling Sequence
//    PlotSemiCompressNum(cnums,type,Title)
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011


        plot2d(cnums,logflag="nl");
        e=gce();
	if (ctype=='MPWP'),
		//pch = 'y--';
                e.children(1).foreground=color("yellow");
                e.children(1).line_style=2;
	elseif (ctype=='MPCP'),
		//pch = 'b-';
                e.children(1).foreground=color("blue");
                e.children(1).line_style=3;
	elseif (ctype=='BBWP'),
		//pch = 'r:';
                e.children(1).foreground=color("red");
                e.children(1).line_style=4;
	elseif (ctype=='BBCP'),
		//pch = 'g-.';
                e.children(1).foreground=color("green");
                e.children(1).line_style=5;
	end
	
	//semilogy(cnums,pch)
        
	xlabel('m')
	ylabel('c_m')
	title(['Compression Numbers: ' +Title])
	a=gca();a.data_bounds=([0 400 10^(-2) 10^4])
	//hold on
	
    
    
    
endfunction
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
