function value = SNR(sig1,sig2)
//   Signal/Noise ratio
//  Calling Sequence
//    value=SNR(sig1,sig2)
//   Parameters
//  Inputs   :
//    sig1:	Original reference signal
//    sig2:	Restored or noisy signal
//  Outputs:
//    value:	Signal/Noise ratio.
// Authors
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
// 'H. Nahrstaedt - 2011

value=20*log10(norm(sig1)/norm(sig1-sig2));


    
endfunction
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:39 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
