function UnlockAxes
// Version-independent axis command
//  Calling Sequence
//    UnlockAxes
// Description
//  Side Effects
//    Cancels the *hold* side effect of LockAxes using a method
//    which works under both v3.5 and v4.0 of MATLAB.
//
// See also
// LockAxes
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

   xset("auto clear","on");//hold off;
   endfunction

    
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
