function y = WhiteNoise(x)
// Version-independent white noise generator
//  Calling Sequence
//    y = WhiteNoise(x)
//  Parameters
//  Inputs:
//    x   :  nonempty matrix
//  Outputs:
//    y    : matrix shaped like x, filled with   standard normal random numbers.
//
//
// Authors
// Copyright (c) 1993. David L. Donoho
// H. Nahrstaedt - 2011

    y = rand(x,'normal');
endfunction
   
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:43 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
