function i=dyad(j)
// Index entire j-th dyad of 1-d wavelet xform
//  Calling Sequence
//    ix = dyad(j);
//  Parameters
//  Inputs:
//    j   :  integer
//  Outputs:
//    ix  :  list of all indices of wavelet coeffts at j-th level
//
// Authors
// Copyright (c) 1993. David L. Donoho
//     H. Nahrstaedt - 2011
    

i = (2^(j)+1):(2^(j+1)) ;
endfunction

    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:40 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
