function dp = dyadpartition(n)
// determine dyadic partition in wavelet transform of     nondyadic signals
// Calling Sequence
// dp = dyadpartition(n)
// Authors
// 
// Copyright (c) 1996. Thomas P.Y. Yu
//  H. Nahrstaedt - 2011
    
J=ceil(log2(n));
m=n;
for j=J-1:-1:0
  if modulo(m,2) == 0 then
     dps(j+1)=m/2;
     m=m/2;
  else
    dps(j+1)=(m-1)/2;
    m=(m+1)/2;
  end
end
dp = cumsum([1;dps]); 
endfunction

    
    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:38 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
