function y = extend (x,par1,par2)
//performs various kinds of symmetric extension
// Calling Sequence
//  y = extend (x,par1,par2)
//  Authors
// Copyright (c) 1996. Thomas P.Y. Yu
//  H. Nahrstaedt - 2011
    

if par1==1 & par2==1 then
  y = [x x((max(size(x))-1):-1:2)];
elseif par1 == 1 & par2 == 2 then
   y = [x x((max(size(x))-1):-1:1)];
elseif par1 == 2 & par2 == 1
   y = [x x((max(size(x))):-1:2)];
elseif par1 == 2 & par2 == 2
   y = [x reverse(x)];
end

endfunction


    
 
 
//
//  Part of Wavelab Version 850
//  Built Tue Jan  3 13:20:38 EST 2006
//  This is Copyrighted Material
//  For Copying permissions see COPYING.m
//  Comments? e-mail wavelab@stat.stanford.edu 
